<?php

	session_start(); // On récupére les données de la seession
	if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] !=1) )
	{
		header("Location: index.php"); // Si l'acteur de la session n'est pas un prof on retourne à l'accueil'
		exit();
	}
	// TID = numéro de l'étudiant:
	if ( (isset($_GET['id'])) && (is_numeric($_GET['id'])) ) 
	{ // on viet d'une autre page et le id est correct
		$id = $_GET['id'];
		require ('connect/mysqli_connect.php');///AND codeEtablissement='$_SESSION('codeEtablissement')'
		$q="SELECT * FROM acteur WHERE NumAct='$id' ;";
		$result = mysqli_query($dbcon,$q)or die('Erreur SQLLL : ' . mysqli_connect_error());
		if (isset($result))
		{
			$nb_ligne=mysqli_num_rows($result);
			if($nb_ligne == 1)  // ID incorrect ou  pas dans la classe du prof
			{
				$q = "UPDATE situationpro SET ValideSP='Oui' WHERE NumEt='$id' AND AnalyseSP <>'';";
				$result = $dbcon->query($q);
				if (!$result) 
				{
					die($dbcon->error);
				}
				else // Tout s'est bien passé on retourne sur la page de la session d'exam en cours
				{
					$retour='prof_toutesles_sp.php?id='.$_SESSION['sessionex'];
					header('Location:'.$retour);
				}
			}
			else
			{
				header("Location: index.php"); // Si l'acteur de la session n'est pas un prof on retourne à l'accueil'
				exit();
			}
		}
	}
	else{
		die ('erreur dans le GET');
		
	}
?>